/*
 * (C) Copyright 2010. Beceem Communications Inc. All rights reserved.
 * 
 * Disclaimer :
 *
 * EXCEPT AS SET FORTH IN BECEEM'S TERMS AND CONDITIONS OF SALE, BECEEM
 * ASSUMES NO LIABILITY WHATSOEVER AND DISCLAIMS ANY EXPRESS, IMPLIED OR
 * STATUTORY WARRANTY RELATING TO ITS PRODUCTS INCLUDING, BUT NOT LIMITED
 * TO, THE IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. IN NO EVENT SHALL BECEEM BE LIABLE FOR
 * ANY DIRECT, INDIRECT, CONSEQUENTIAL, PUNITIVE, SPECIAL OR INCIDENTAL
 * DAMAGES (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF PROFITS,
 * BUSINESS INTERRUPTION OR LOSS OF INFORMATION) ARISING OUT OF THE USE
 * OR INABILITY TO USE THIS DOCUMENT, EVEN IF BECEEM HAS BEEN ADVISED OF
 * THE POSSIBILITY OF SUCH DAMAGES. 
 * 
 * Trademarks :
 *
 * Beceem, Beceem Communications, and Mobilizing Broadband are registered
 * trademarks of Beceem Communications Inc.  The Beceem logo is a
 * trademark of Beceem Communications Inc.
 *
 * Description	:	This file defines the EEPROM Itnerface API and
 *					related Macros
 * Author		:	Viswanath Dibbur
 * Reviewer		:
 *
 */


#ifndef	_UTI_BECEEMEEPROMVSRO_H__
#define	_UTI_BECEEMEEPROMVSRO_H__


#define VSRO_MX_NUMBER_SA_SIZE					CFG_MAKE_USERPARAM_SIZE(0,   1)
#define VSRO_PN_WINDOW_SIE_SIZE					CFG_MAKE_USERPARAM_SIZE(1,   2)
#define VSRO_EAP_NETWORK_SIZE					CFG_MAKE_USERPARAM_SIZE(3,   16)
#define VSRO_SECURITY_IMSI_SIZE					CFG_MAKE_USERPARAM_SIZE(19,  16)
#define VSRO_SECURITY_OP_SIZE					CFG_MAKE_USERPARAM_SIZE(35,  16)
#define VSRO_SECURITY_OPC_SIZE					CFG_MAKE_USERPARAM_SIZE(51,  16)
#define VSRO_SECURITY_NON_OPC_SIZE				CFG_MAKE_USERPARAM_SIZE(67,  16)
#define VSRO_SECURITY_K_SIZE					CFG_MAKE_USERPARAM_SIZE(83,  16)
#define VSRO_SECURITY_NONK_SIZE					CFG_MAKE_USERPARAM_SIZE(99,  16)
#define VSRO_SECURITY_AMF_SIZE					CFG_MAKE_USERPARAM_SIZE(115, 2)
#define VSRO_SECURITY_MILENGE_CONSTNTS_SIZE		CFG_MAKE_USERPARAM_SIZE(117, 80)
#define VSRO_SECURITY_MILENGE_RCONSTNTS_SIZE	CFG_MAKE_USERPARAM_SIZE(197, 20)
#ifdef USING_UICC
#define VSRO_IMEI_SIZE							CFG_MAKE_USERPARAM_SIZE(217, 8)
#define VSRO_ATR_LOCK_SIZE						CFG_MAKE_USERPARAM_SIZE(225, 2)  
#define VSRO_SEC_SQNMS_SIZE						CFG_MAKE_USERPARAM_SIZE(227, 192)
#define VSRO_SEC_SNYMID_SIZE					CFG_MAKE_USERPARAM_SIZE(419, 23) 
#else
#define VSRO_SEC_SQNMS_SIZE						CFG_MAKE_USERPARAM_SIZE(217, 192)
#define VSRO_SEC_SNYMID_SIZE					CFG_MAKE_USERPARAM_SIZE(409, 23) 
#endif


#ifdef USING_UICC
#define	CFG_VSRO_DEFINITIONS 	{"MX_NUMBER_SA_ID"              , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_MX_NUMBER_SA_SIZE              , 1},	{"PN_WINDOW_SIE_ID"             , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_PN_WINDOW_SIE_SIZE             , 2}, {"EAP_NETWORK_ID"               , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_EAP_NETWORK_SIZE               , 1}, 	{"SECURITY_IMSI_ID"             , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_SECURITY_IMSI_SIZE             , 1}, 		{"SECURITY_OP_ID"               , CFG_VSRO_VENDORSPECIFICDT_ID,VSRO_SECURITY_OP_SIZE               , 1}, 		{"SECURITY_OPC_ID"              , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_SECURITY_OPC_SIZE              , 1}, {"SECURITY_K_ID"                , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_SECURITY_K_SIZE                , 1}, 	{"SECURITY_AMF"                 , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_SECURITY_AMF_SIZE              , 1}, {"SECURITY_MILENGE_CONSTNTS_ID" , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_SECURITY_MILENGE_CONSTNTS_SIZE , 1}, {"SECURITY_MILENGE_RCONSTNTS"   , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_SECURITY_MILENGE_RCONSTNTS_SIZE, 2}, {"SECURITY_NON_OPC"             , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_SECURITY_NON_OPC_SIZE          , 1}, {"SECURITY_NONK"                , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_SECURITY_NONK_SIZE             , 4}, {"IMEI"                         , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_IMEI_SIZE                      , 1}, {"ATR_LOCK"                     , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_ATR_LOCK_SIZE                  , 1}, {"SEC_SQNMS_ID"                 , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_SEC_SQNMS_SIZE                 , 1}, 	{"SEC_SNYMID_ID"                , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_SEC_SNYMID_SIZE                , 1}
#else
#define	CFG_VSRO_DEFINITIONS		{"MX_NUMBER_SA_ID"              , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_MX_NUMBER_SA_SIZE              , 1}, 	{"PN_WINDOW_SIE_ID"             , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_PN_WINDOW_SIE_SIZE             , 2}, 	{"EAP_NETWORK_ID"               , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_EAP_NETWORK_SIZE               , 1}, 		{"SECURITY_IMSI_ID"             , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_SECURITY_IMSI_SIZE             , 1}, 		{"SECURITY_OP_ID"               , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_SECURITY_OP_SIZE               , 1}, 		{"SECURITY_OPC_ID"              , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_SECURITY_OPC_SIZE              , 1}, 		{"SECURITY_K_ID"                , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_SECURITY_K_SIZE                , 1}, 		{"SECURITY_AMF_ID"              , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_SECURITY_AMF_SIZE              , 1}, 		{"SECURITY_MILENGE_CONSTNTS_ID" , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_SECURITY_MILENGE_CONSTNTS_SIZE , 1}, 		{"SECURITY_MILENGE_RCONSTNTS"   , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_SECURITY_MILENGE_RCONSTNTS_SIZE, 2}, 		{"SECURITY_NON_OPC"             , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_SECURITY_NON_OPC_SIZE          , 1}, 		{"SECURITY_NONK"                , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_SECURITY_NONK_SIZE             , 4}, 		{"SEC_SQNMS_ID"                 , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_SEC_SQNMS_SIZE                 , 1}, 		{"SEC_SNYMID_ID"                , CFG_VSRO_VENDORSPECIFICDT_ID, VSRO_SEC_SNYMID_SIZE                , 1}
#endif


#endif /*_UTI_BECEEMEEPROM_H__*/
