'
' This runs at the end of the Install process
' to copy files from the App and Doc sub-folders
' into the source tree. This allows the setup
' project to run with all needed files present.
'
Option Explicit

' Set to 1 for extra DEBUG output
Const bolDebugScript = 0

' ---------------------------------------------------------
' Find the target path
' ---------------------------------------------------------
Dim strTgtPath         ' Installation target directory
On Error Resume Next
strTgtPath = session.property("CustomActionData") 
If Err.Number> 0 Then
	strTgtPath = "c:\Beceem\CM-TEST\"
    Err.Clear
End If
On Error Goto 0

If bolDebugScript then
    WScript.Echo "Target dir = " & strTgtPath
End If

' ---------------------------------------------------------
' Include the script function library
' ---------------------------------------------------------
Dim objFSO             ' File system object
Dim strLibraryPath     ' Script library file path
Dim objIncludeFile     ' Include file object
Dim strIncludeText     ' Include file text

Set objFSO = CreateObject("Scripting.FileSystemObject")
strLibraryPath = strTgtPath & "Src\BeceemCSCM\Script\Script_function_library.vbs"
If Not objFSO.FileExists(strLibraryPath) Then
	If bolDebugScript then
		WScript.Echo "WARNING: Can't find library file " & strLibraryPath
	End If 
	strLibraryPath = "C:\Perforce\CSCM\BeceemCSCM\Script\Script_function_library.vbs"
	If Not objFSO.FileExists(strLibraryPath) Then
		If bolDebugScript then
			WScript.Echo "FATAL ERROR: Can't find alternate library file " & strLibraryPath
		End if
		WScript.Quit(1)
	End if
End If
set objIncludeFile = objFSO.OpenTextFile(strLibraryPath,1)
strIncludeText = objIncludeFile.ReadAll
objIncludeFile.close
ExecuteGlobal strIncludeText 

' -----------------------------------------------------------
' Copy all the files needed for a build
' -----------------------------------------------------------

Dim strAppFolder     ' App folder name
Dim strProjectFolder ' BeceemCSCM project folder
Dim strDebugFolder   ' Debug folder name
Dim strReleaseFolder ' Release folder name
Dim strDocFolder     ' Doc folder name
Dim strPdfFiles      ' .pdf files in Doc
Dim strRelNotes      ' .release notes in Doc

' Create the debug, release, and Doc folders
strProjectFolder = strTgtPath & "Src\BeceemCSCM\"
strDebugFolder   = strProjectFolder & "debug\"
strReleaseFolder = strProjectFolder & "release\"
strDocFolder     = strProjectFolder & "Doc\"
CreateFolder strDocFolder
CreateFolder strDebugFolder
CreateFolder strReleaseFolder

' Copy all the files needed for a build
Dim strDllName
Dim arrayDll(3)
arrayDll(0) = "eap_supplicant"
arrayDll(1) = "libeay32"
arrayDll(2) = "ssleay32"
arrayDll(3) = "libxvi010"

strAppFolder = strTgtPath & "App\Server\"
For Each strDllName In arrayDll
	If Not IsEmpty(strDllName) Then
		CopyDll strAppFolder & strDllName, strProjectFolder
	End if
Next
CopyFileToFolder strAppFolder & "wimaxd.conf", strDebugFolder
CopyFileToFolder strAppFolder & "wimaxd.conf", strReleaseFolder

strPdfFiles = strTgtPath & "Doc\*Connection_Manager*.pdf"
CopyFileToFolder strPdfFiles, strDocFolder

If bolDebugScript Then
    ListFiles objFSO.GetFolder(strTgtPath), 0
End If

