'
' This script fixes BeceemEAPSupplicant.msi to use traditional (non-advertised) shortcuts
' both on the desktop and in the Start Menu.
' Portions Copyright (c) Microsoft Corporation. All rights reserved.
'
Option Explicit

Const msiOpenDatabaseModeReadOnly = 0
Const msiOpenDatabaseModeTransact = 1

Dim argNum, argCount:argCount = Wscript.Arguments.Count
If (argCount <> 1) Then
	Wscript.Echo "script <package file>"
	Wscript.Quit 1
End If

Dim openMode : openMode = msiOpenDatabaseModeTransact

' Connect to Windows installer object
On Error Resume Next
Dim installer : Set installer = Nothing
Set installer = Wscript.CreateObject("WindowsInstaller.Installer") : CheckError

' Open database
Dim databasePath:databasePath = Wscript.Arguments(0)
Dim database : Set database = installer.OpenDatabase(databasePath, openMode) : CheckError

' Update Property table
Dim n, n1, n2, nDocs, query, view, message, record
query = "INSERT INTO Property (Property.Property, Property.Value) VALUES ('DISABLEADVTSHORTCUTS', '1')"
Set view = database.OpenView(query) : CheckError
view.Execute : CheckError

' List the shortcuts
query = "SELECT Shortcut.Name From Shortcut"
Set view = database.OpenView(query) : CheckError
view.Execute
nDocs = 0
Do
	Set record = view.Fetch
	If record Is Nothing Then Exit Do
	WScript.Echo "Shortcut: " & record.StringData(1)
	nDocs = nDocs + 1
Loop
Wscript.Echo "Found " & nDocs & " shortcuts to update"

' Update Shortcut table Icon values for all shortcuts
query = "UPDATE Shortcut SET Shortcut.Icon_=NULL" 
Set view = database.OpenView(query) : CheckError
view.Execute : CheckError          
                                                                                      
' Commit 
If openMode = msiOpenDatabaseModeTransact Then database.Commit
If Not IsEmpty(message) Then Wscript.Echo message
Wscript.Quit 0

Sub CheckError
	Dim message, errRec
	If Err = 0 Then Exit Sub
	message = Err.Source & " " & Hex(Err) & ": " & Err.Description
	If Not installer Is Nothing Then
		Set errRec = installer.LastErrorRecord
		If Not errRec Is Nothing Then message = message & vbLf & errRec.FormatText
	End If
	Fail message
End Sub

Sub Fail(message)
	Wscript.Echo message
	Wscript.Quit 2
End Sub
