/* ---------------------------------------------------- */
/*	Client-Server Connection Manager                    */
/*	Copyright 2008-2009-2009 Beceem Communications, Inc.          */
/*                                                      */
/*	Carlos Puig (cpuig@beceem.com)                      */
/*	August 2009                                         */
/* ---------------------------------------------------- */

/* e_beceem_err.c */

/* ====================================================================
 * Copyright (c) 1999-2005 The OpenSSL Project.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer. 
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. All advertising materials mentioning features or use of this
 *    software must display the following acknowledgment:
 *    "This product includes software developed by the OpenSSL Project
 *    for use in the OpenSSL Toolkit. (http://www.OpenSSL.org/)"
 *
 * 4. The names "OpenSSL Toolkit" and "OpenSSL Project" must not be used to
 *    endorse or promote products derived from this software without
 *    prior written permission. For written permission, please contact
 *    openssl-core@OpenSSL.org.
 *
 * 5. Products derived from this software may not be called "OpenSSL"
 *    nor may "OpenSSL" appear in their names without prior written
 *    permission of the OpenSSL Project.
 *
 * 6. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by the OpenSSL Project
 *    for use in the OpenSSL Toolkit (http://www.OpenSSL.org/)"
 *
 * THIS SOFTWARE IS PROVIDED BY THE OpenSSL PROJECT ``AS IS'' AND ANY
 * EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE OpenSSL PROJECT OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
 * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
 * STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 * ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 * ====================================================================
 *
 * This product includes cryptographic software written by Eric Young
 * (eay@cryptsoft.com).  This product includes software written by Tim
 * Hudson (tjh@cryptsoft.com).
 *
 */

/* NOTE: this file was auto generated by the mkerr.pl script: any changes
 * made to it will be overwritten when the script next updates this file,
 * only reason strings will be preserved.
 */

#include <stdio.h>
#include <openssl/err.h>
#include "e_beceem_err.h"

/* BEGIN ERROR CODES */
#ifndef OPENSSL_NO_ERR

#define ERR_FUNC(func) ERR_PACK(0,func,0)
#define ERR_REASON(reason) ERR_PACK(0,0,reason)

static ERR_STRING_DATA BECEEM_str_functs[]=
	{
	{ERR_FUNC(BECEEM_F_BECEEM_CTRL),			"BECEEM_CTRL"},
	{ERR_FUNC(BECEEM_F_BECEEM_FINISH),			"BECEEM_FINISH"},
	{ERR_FUNC(BECEEM_F_BECEEM_INIT),			"BECEEM_INIT"},
	{ERR_FUNC(BECEEM_F_BECEEM_LOAD_PRIVKEY),	"BECEEM_LOAD_PRIVKEY"},
	{ERR_FUNC(BECEEM_F_BECEEM_RSA_PRIV_ENC),	"BECEEM_RSA_PRIV_ENC"},
	{0,NULL}
	};

static ERR_STRING_DATA BECEEM_str_reasons[]=
	{
	{ERR_REASON(BECEEM_R_BIO_WAS_FREED),		"BIO was freed"},
    {ERR_REASON(BECEEM_R_UNKNOWN_PADDING_TYPE), "unknown padding type"},
	{0,NULL}
	};

#endif

#ifdef BECEEM_LIB_NAME
static ERR_STRING_DATA BECEEM_lib_name[]=
    {
	{0, BECEEM_LIB_NAME},
	{0, NULL}
	};
#endif

static int BECEEM_lib_error_code=0;
static int BECEEM_error_init=1;

void ERR_BECEEM_error(int function, int reason, char *file, int line)
	{
	if (BECEEM_lib_error_code == 0)
		BECEEM_lib_error_code = ERR_get_next_error_library();
	ERR_PUT_error(BECEEM_lib_error_code, function, reason, file, line);
	}

void ERR_load_BECEEM_strings(void)
	{
	if (BECEEM_lib_error_code == 0)
		BECEEM_lib_error_code=ERR_get_next_error_library();

	if (BECEEM_error_init)
		{
		BECEEM_error_init=0;
#ifndef OPENSSL_NO_ERR
		ERR_load_strings(BECEEM_lib_error_code,BECEEM_str_functs);
		ERR_load_strings(BECEEM_lib_error_code,BECEEM_str_reasons);
#endif

#ifdef BECEEM_LIB_NAME
		BECEEM_lib_name->error = ERR_PACK(BECEEM_lib_error_code,0,0);
		ERR_load_strings(0,BECEEM_lib_name);
#endif
		}
	}

void ERR_unload_BECEEM_strings(void)
	{
	if (BECEEM_error_init == 0)
		{
#ifndef OPENSSL_NO_ERR
		ERR_unload_strings(BECEEM_lib_error_code, BECEEM_str_functs);
		ERR_unload_strings(BECEEM_lib_error_code, BECEEM_str_reasons);
#endif

#ifdef BECEEM_LIB_NAME
		ERR_unload_strings(0, BECEEM_lib_name);
#endif
		BECEEM_error_init = 1;
		}
	}

