'
' This runs at the end of the Install process
' to copy files from the App and Doc sub-folders
' into the source tree. This allows the setup
' project to run with all needed files present.
'
Option Explicit

' Set to 1 for extra DEBUG output
Const bolDebugScript = 0

' ---------------------------------------------------------
' Find the target path
' ---------------------------------------------------------
Dim strTgtPath         ' Installation target directory
On Error Resume Next
strTgtPath = session.property("CustomActionData") 
If Err.Number> 0 Then
	strTgtPath = "c:\Beceem\CM-TEST\"
    Err.Clear
End If
On Error Goto 0

If bolDebugScript then
    WScript.Echo "Target dir = " & strTgtPath
End If

' ---------------------------------------------------------
' Include the script function library
' ---------------------------------------------------------
Dim objFSO             ' File system object
Dim strLibraryPath     ' Script library file path
Dim objIncludeFile     ' Include file object
Dim strIncludeText     ' Include file text

Set objFSO = CreateObject("Scripting.FileSystemObject")
strLibraryPath = strTgtPath & "Src\BeceemEAPSupplicant\Script\Script_function_library.vbs"
If Not objFSO.FileExists(strLibraryPath) Then
	If bolDebugScript then
		WScript.Echo "WARNING: Can't find library file " & strLibraryPath
	End If 
	strLibraryPath = "C:\Perforce\CSCM\BeceemCSCM\Script\Script_function_library.vbs"
	If Not objFSO.FileExists(strLibraryPath) Then
		If bolDebugScript then
			WScript.Echo "FATAL ERROR: Can't find alternate library file " & strLibraryPath
		End if
		WScript.Quit(1)
	End if
End If
set objIncludeFile = objFSO.OpenTextFile(strLibraryPath,1)
strIncludeText = objIncludeFile.ReadAll
objIncludeFile.close
ExecuteGlobal strIncludeText 

' -----------------------------------------------------------
' Copy all the files needed for a build
' -----------------------------------------------------------
Dim strBaseFolder      ' BeceemEAPSupplicant folder under 
Dim strSrcFolder       ' Source folder for copy operations
Dim strDstFolder       ' Destination folder for copy operations

strBaseFolder = strTgtPath & "Src\BeceemEAPSupplicant\"

' Copy the Dlls
strDstFolder = strBaseFolder
strSrcFolder = strTgtPath + "App\Server\"
CreateFolder strBaseFolder + "debug"
CreateFolder strBaseFolder + "release"
CopyDll strSrcFolder & "eap_supplicant", strDstFolder
CopyDll strSrcFolder & "libeay32", strDstFolder
CopyDll strSrcFolder & "ssleay32", strDstFolder

' Copy the pdf document file
strDstFolder = strBaseFolder & "Doc\"
strSrcFolder = strTgtPath & "Doc\"
CreateFolder strDstFolder
CopyFileToFolder strSrcFolder & "*EAP_Supplicant_Installation_Guide.pdf", strDstFolder

If bolDebugScript Then
    ListFiles objFSO.GetFolder(strTgtPath), 0
End If
